{% extends 'base.html.twig' %}

{% block title %}
    {{ title }}
{% endblock %}

{% block header %}
    {{ parent() }}
    <h2>Ici on gère le détail du {{ title }} de {{ utilisateur.pseudo }}!!</h2>
{% endblock %}

{% block main %}

    <img src="{{ asset('uploads/'~utilisateur.imageName) }}" alt="La photo de profil n'a pas pu se charger">
    <table>
        <tr>
            <th>Nom:</th>
            <td>{{ utilisateur.nom }}</td>
        </tr>
        <tr>
            <th>Prénom:</th>
            <td>{{ utilisateur.prenom }}</td>
        </tr>
        <tr>
            <th>email:</th>
            <td>{{ utilisateur.email }}</td>
        </tr>
        <tr>
            <th>Téléphone:</th>
            <td>{{ utilisateur.telephone }}</td>
        </tr>
        <tr>
            <th>Site de rattachement:</th>
            <td>{{ utilisateur.site ? utilisateur.site.nom : "Rien"}}</td>
        </tr>
    </table>
    {% if is_granted("ROLE_ADMIN") %}
        {% if isUtilSession %}
        {% else %}
            <a class="btn btn-outline-danger" href="{{ path('user_delete', {'pseudo': utilisateur.pseudo }) }}">Supprimer </a>
            {% if isActivated %}
                <a class="btn btn-outline-warning" href="{{ path('user_desactivate', {'pseudo': utilisateur.pseudo }) }}">Désactiver </a>
            {% else %}
                <a class="btn btn-outline-success" href="{{ path('user_desactivate', {'pseudo': utilisateur.pseudo }) }}">Activer </a>
            {% endif %}
        {% endif %}
    {% endif %}
    {% if isUtilSession %}
    <a href="{{ path('user_modif', {'pseudo': utilisateur.pseudo }) }}"><button class="btn btn-outline-primary">Modifier</button></a>

    <!-- Button trigger modal -->
    <button type="button" class="btn btn-outline-danger" data-toggle="modal" data-target="#supprModal">
        Supprimer le compte
    </button>

    <!-- Modal -->
    <div class="modal fade" id="supprModal" tabindex="-1" role="dialog" aria-labelledby="supprModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="supprModalLabel">Supprimer mon compte</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <p>Êtes-vous sûr de vouloir supprimer votre compte?</p>
                    <p>Toute suppression est définitive</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary" data-dismiss="modal">
                        Annuler
                    </button>
                    <a href="{{ path('user_delete', {'pseudo': utilisateur.pseudo }) }}">
                        <button type="button" class="btn btn-danger">
                            Supprimer!
                        </button>
                    </a>
                </div>
            </div>
        </div>
    </div>
    {% endif %}

{% endblock %}

